Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package backend
  Definition Classes
    nsc
-  package jvm
  Definition Classes
    backend
-  package opt
  Definition Classes
    jvm
-  abstract class BoxUnbox extends AnyRef
  Definition Classes
    opt
- BoxConsumer
- BoxCreation
- BoxKind
- BoxedPrimitiveTypeCheck
- CopyOpsIterator
- Drop
- EscapingConsumer
- InstanceCreation
- ModuleFactory
- ModuleGetter
- PrimitiveBox
- PrimitiveBoxingGetter
- PrimitiveUnboxingGetter
- Ref
- StaticFactory
- StaticGetterOrInstanceRead
- StaticSetterOrInstanceWrite
- Tuple

c

scala.tools.nsc.backend.jvm.opt.BoxUnbox

# InstanceCreation

###

#### case class InstanceCreation(newOp: TypeInsnNode, dupOp: InsnNode, initCall: MethodInsnNode) extends BoxCreation with Product with Serializable

Source
  BoxUnbox.scala

Linear Supertypes
java.io.Serializable, Product, Equals, BoxCreation, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. InstanceCreation
2. Serializable
3. Product
4. Equals
5. BoxCreation
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new InstanceCreation(newOp: TypeInsnNode, dupOp: InsnNode, initCall: MethodInsnNode)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from InstanceCreation toany2stringadd[InstanceCreation] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (InstanceCreation, B)
   Implicit
     This member is added by an implicit conversion from InstanceCreation toArrowAssoc[InstanceCreation] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def allInsns: Set[AbstractInsnNode]
   Definition Classes
     BoxCreation
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def boxConsumers(prodCons: ProdConsAnalyzer, ultimate: Boolean): Set[AbstractInsnNode]

   The consumers of the box produced by this box creation.

   The consumers of the box produced by this box creation. If `ultimate` is true, then the final consumers are returned (e.g., an unbox operation), otherwise direct consumers (e.g., a store operation).

   Definition Classes
     BoxCreation
9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
10.  val dupOp: InsnNode
11.  def ensuring(cond: (InstanceCreation) => Boolean, msg: => Any): InstanceCreation
    Implicit
      This member is added by an implicit conversion from InstanceCreation toEnsuring[InstanceCreation] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: (InstanceCreation) => Boolean): InstanceCreation
    Implicit
      This member is added by an implicit conversion from InstanceCreation toEnsuring[InstanceCreation] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean, msg: => Any): InstanceCreation
    Implicit
      This member is added by an implicit conversion from InstanceCreation toEnsuring[InstanceCreation] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean): InstanceCreation
    Implicit
      This member is added by an implicit conversion from InstanceCreation toEnsuring[InstanceCreation] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
17.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from InstanceCreation toStringFormat[InstanceCreation] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
18.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  val initCall: MethodInsnNode
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  val loadInitialValues: Option[List[AbstractInsnNode]]
    Definition Classes
      InstanceCreation → BoxCreation
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  val newOp: TypeInsnNode
24.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
26.  def producer: TypeInsnNode

    The instruction that produces the box value; for instance creations, the `NEW` operation.

    The instruction that produces the box value; for instance creations, the `NEW` operation.

    Definition Classes
      InstanceCreation → BoxCreation
27.  def productElementNames: Iterator[String]
    Definition Classes
      Product
28.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
29.  def valuesConsumer: MethodInsnNode

    The instruction that consumes the boxed values; for instance creations, the `init` call.

    The instruction that consumes the boxed values; for instance creations, the `init` call.

    Definition Classes
      BoxCreation
30.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
31.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
32.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (InstanceCreation, B)
   Implicit
     This member is added by an implicit conversion from InstanceCreation toArrowAssoc[InstanceCreation] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from BoxCreation

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromInstanceCreation to any2stringadd[InstanceCreation]

### Inherited by implicit conversion StringFormat fromInstanceCreation to StringFormat[InstanceCreation]

### Inherited by implicit conversion Ensuring fromInstanceCreation to Ensuring[InstanceCreation]

### Inherited by implicit conversion ArrowAssoc fromInstanceCreation to ArrowAssoc[InstanceCreation]

### Ungrouped